import * as React from 'react';
import createResource from '../cache/createResource';
export var StylesheetResource = createResource(load, 
// @ts-ignore
function (_a) {
    var href = _a.href, media = _a.media;
    return href + "." + media;
});
function load(_a) {
    var href = _a.href, _b = _a.media, media = _b === void 0 ? 'all' : _b;
    return new Promise(function (resolve, reject) {
        var link = document.createElement('link');
        link.rel = 'stylesheet';
        link.href = href;
        link.media = media;
        link.onload = resolve;
        link.onerror = reject;
        document.body.appendChild(link);
    });
}
var Stylesheet = function (props) {
    StylesheetResource.read(props);
    return <link {...props}/>;
};
export var useStylesheet = function (props) {
    return StylesheetResource.read(props);
};
export default Stylesheet;
//# sourceMappingURL=../../src/dist/head/Stylesheet.jsx.map