import Item from './item/Item';
declare const LIST = "list";
declare type ListFlags = 'i18n' | 'multi-select' | 'narrow' | 'nested-items';
interface List {
    flags?: ListFlags | Set<ListFlags>;
    items: Item[];
    selection?: number | number[];
    type: typeof LIST;
}
export default List;
export { LIST, ListFlags };
