var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) if (e.indexOf(p[i]) < 0)
            t[p[i]] = s[p[i]];
    return t;
};
import * as React from 'react';
import createResource from '../cache/createResource';
var AUDIO = 'audio';
var AudioResource = createResource(function (src) {
    return new Promise(function (resolve, reject) {
        var audio = document.createElement('audio');
        audio.src = src;
        audio.onloadeddata = function () { return resolve(audio); };
        audio.onerror = reject;
        // @ts-ignore
        document.body.append(audio);
    });
});
export default (function (_a) {
    var src = _a.src, props = __rest(_a, ["src"]);
    AudioResource.read(src);
    return (<audio src={src} {...props}/>);
});
export { AUDIO };
//# sourceMappingURL=../../src/dist/media/Audio.jsx.map