import * as React from 'react';
import createResource from '../cache/createResource';
var VIDEO = 'video';
var VideoResource = createResource(function (src) {
    return new Promise(function (resolve, reject) {
        var video = document.createElement('video');
        video.src = src;
        video.oncanplay = function () {
            resolve(video);
        };
        video.onerror = reject;
    });
});
export default (function (props) {
    VideoResource.read(props.src);
    return (<video {...props}/>);
});
export { VIDEO };
//# sourceMappingURL=../../src/dist/media/Video.jsx.map