import * as React from 'react';
declare const IMAGE = "image";
interface Image {
    src: string;
    srcSet?: string;
    type: typeof IMAGE;
}
declare const ImageResource: import("react-cache").Resource<{
    src: string;
    srcSet?: string | undefined;
}, Event>;
interface ImageProps extends Omit<Image, 'type'>, Omit<React.DetailedHTMLProps<React.ImgHTMLAttributes<HTMLImageElement>, HTMLImageElement>, 'src'> {
}
declare const _default: ({ src, srcSet, ...props }: ImageProps) => JSX.Element;
export default _default;
export { Image, ImageResource, IMAGE };
